KParts::LiveConnectExtension class Reference (kparts Library)

| # kparts Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::LiveConnectExtension Class Reference

An extension class for LiveConnect, i.e. More...

`#include <browserextension.h>`

Inheritance diagram for KParts::LiveConnectExtension:

[legend]
Collaboration diagram for KParts::LiveConnectExtension:

[legend]
List of all members.

## Public Types
typedef QValueList< QPair< Type, QString > > | ArgList
enum | Type { TypeVoid = 0, TypeBool, TypeFunction, TypeNumber, TypeObject, TypeString }
## Signals
virtual void | partEvent (const unsigned long objid, const QString &event, const ArgList &args)
| notify a event from the part of object objid
## Public Member Functions
| LiveConnectExtension (KParts::ReadOnlyPart *parent, const char *name=0L)
virtual bool | get (const unsigned long objid, const QString &field, Type &type, unsigned long &retobjid, QString &value)
| get a field value from objid, return true on success
virtual bool | put (const unsigned long objid, const QString &field, const QString &value)
| put a field value in objid, return true on success
virtual bool | call (const unsigned long objid, const QString &func, const QStringList &args, Type &type, unsigned long &retobjid, QString &value)
| calls a function of objid, return true on success
virtual void | unregister (const unsigned long objid)
| notifies the part that there is no reference anymore to objid
## Static Public Member Functions
LiveConnectExtension * | childObject (QObject *obj)

## Detailed Description

An extension class for LiveConnect, i.e.

a call from JavaScript from a HTML page which embeds this part. A part can have an object hierarchie by using objid as a reference to an object.

Definition at line 641 of file browserextension.h.

## Member Function Documentation

bool LiveConnectExtension::get | ( | const unsigned long | objid,
|  | const QString & | field,
|  | Type & | type,
|  | unsigned long & | retobjid,
|  | QString & | value
| ) | `[virtual]`

| get a field value from objid, return true on success Definition at line 607 of file browserextension.cpp.

bool LiveConnectExtension::put | ( | const unsigned long | objid,
|  | const QString & | field,
|  | const QString & | value
| ) | `[virtual]`

| put a field value in objid, return true on success Definition at line 611 of file browserextension.cpp.

bool LiveConnectExtension::call | ( | const unsigned long | objid,
|  | const QString & | func,
|  | const QStringList & | args,
|  | Type & | type,
|  | unsigned long & | retobjid,
|  | QString & | value
| ) | `[virtual]`

| calls a function of objid, return true on success Definition at line 615 of file browserextension.cpp.

void LiveConnectExtension::unregister | ( | const unsigned long | objid | ) | `[virtual]`

| notifies the part that there is no reference anymore to objid Definition at line 619 of file browserextension.cpp.

virtual void KParts::LiveConnectExtension::partEvent | ( | const unsigned long | objid,
|  | const QString & | event,
|  | const ArgList & | args
| ) | `[virtual, signal]`

| notify a event from the part of object objid

The documentation for this class was generated from the following files:

- browserextension.h
- browserextension.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:53 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001